Subject: Re: linux-next: build warning after merge of the pm tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 31 Jul 2018 10:39:23 +1000

Hi all,

On Mon, 30 Jul 2018 10:24:45 +0300 Sakari Ailus <[email-masked]> wrote:
>
> On Mon, Jul 30, 2018 at 12:00:53PM +1000, Stephen Rothwell wrote:
> > 
> > After merging the pm tree, today's linux-next build (x86_64 allmodconfig)
> > produced this warning:
> > 
> > drivers/media/i2c/mt9v111.c: In function 'mt9v111_set_format':
> > drivers/media/i2c/mt9v111.c:887:15: warning: 'idx' may be used uninitialized in this function [-Wmaybe-uninitialized]
> >   unsigned int idx;
> >                ^~~
> > 
> > Introduced by commit
> > 
> >   aab7ed1c3927 ("media: i2c: Add driver for Aptina MT9V111")
> > 
> > Looks like a false positive, but not something that gcc can easily see.  
> 
> This must be coming from a new driver merged to media tree recently. Thanks
> for reporting this.

Yeah, sorry, process failure.  This should have been reported against
the v4l-dvb tree.

-- 
Cheers,
Stephen Rothwell